Skip to content
This repository
Browse code

do not use git version in Gemfile if env vars for tilt or rack is not…

… set

Conflicts:

	Gemfile
  • Loading branch information...
commit 15dca9cac19adb67eabdfff0d041cda846bbfcd4 1 parent d5d3c78
Konstantin Haase rkh authored

Showing 1 changed file with 1 addition and 1 deletion. Show diff stats Hide diff stats

  1. +1 1  Gemfile
2  Gemfile
@@ -19,7 +19,7 @@ repos = { 'tilt' => github % "rtomayko/tilt", 'rack' => github % "rack/rack" }
19 19 %w[tilt rack].each do |lib|
20 20 dep = (ENV[lib] || 'stable').sub "#{lib}-", ''
21 21 dep = nil if dep == 'stable'
22   - dep = {:git => repos[lib], :branch => dep} unless dep =~ /(\d+\.)+\d+/
  22 + dep = {:git => repos[lib], :branch => dep} if dep and dep !~ /(\d+\.)+\d+/
23 23 dep ||= '~> 1.1.0' if lib == 'rack' and RUBY_VERSION == '1.8.6'
24 24 gem lib, dep
25 25 end

0 comments on commit 15dca9c

Please sign in to comment.
Something went wrong with that request. Please try again.